/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package csoves.implementaciok;

import csoves.interfacek.Henger;
import java.text.NumberFormat;

/**
 *
 * @author :)
 */
public class HengerImpl implements Henger {

    private double sugar, magassag;

    public HengerImpl(double sugar, double magassag) {
        this.sugar = sugar;
        this.magassag = magassag;
    }

    @Override
    public double terfogat() {
        return sugar * sugar * Math.PI * magassag;
    }

    @Override
    public double getMagassag() {
        return magassag;
    }

    @Override
    public double getSugar() {
        return sugar;
    }

    private String format(double szam) {
        NumberFormat nf = NumberFormat.getInstance();
        nf.setMaximumFractionDigits(2);
        return nf.format(szam);
    }

    @Override
    public String toString() {
    return "\nsugár: " + format(sugar)
           + "\nmagasság: " + format(magassag)
           + "\ntérfogat: " + format(this.terfogat());
    }

    @Override
    public String alakzatNev() {
        return "Henger";
    }
}
